package com.aurellem.capture;

import java.io.File;
import java.io.IOException;

import com.aurellem.capture.video.AVIVideoRecorder;
import com.aurellem.capture.video.AbstractVideoRecorder;
import com.aurellem.capture.video.XuggleVideoRecorder;
import com.jme3.app.Application;
import com.jme3.math.ColorRGBA;

public class Capture {

	public static void SimpleCaptureVideo(Application app, File file) throws IOException{
		app.getViewPort().setClearFlags(true, true, true);
		app.getViewPort().setBackgroundColor(ColorRGBA.Black);
		
		// The XuggleVideoRecorder is better than the AVIVideoRecorder in every way
		// except for ease of installation.  The excellent work by Werner Randelshofer
		// is used as a fallback option.  Please visit http://www.xuggle.com/ to learn
		// how to set up the XuggleVideoRecorder.
		
		AbstractVideoRecorder videoRecorder;
		
		if (file.getCanonicalPath().endsWith(".avi")){
			 videoRecorder = new AVIVideoRecorder(file);}
		else { videoRecorder = new XuggleVideoRecorder(file); }
		
		app.getStateManager().attach(videoRecorder);
		app.getViewPort().addFinalProcessor(videoRecorder);
	}
	
	
	
	
	
}
